| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Functions
main_statusbar.h File Reference

Go to the source code of this file.

## Functions
void | profile_bar_update (void)
| Update the profile display in the statusbar.
void | packets_bar_update (void)
| Update the packet count display in the statusbar.
void | status_expert_update (void)
| Update the expert status in the statusbar.
void | status_capture_comment_update (void)
| Update the capture comment icon in the statusbar, depending on the current capture comment (XXX - it's only available for GTK at the moment).
void | statusbar_push_field_msg (const char *msg_format,...)
| Push a formatted message referring to the currently-selected field onto the statusbar.
void | statusbar_pop_field_msg (void)
| Pop a message referring to the currently-selected field off the statusbar.
void | statusbar_push_filter_msg (const char *msg_format,...)
| Push a formatted message referring to the current filter onto the statusbar.
void | statusbar_pop_filter_msg (void)
| Pop a message referring to the current filter off the statusbar.
void | statusbar_push_temporary_msg (const char *msg_format,...)
| Push a formatted temporary message onto the statusbar. The message is automatically removed at a later interval.

## Detailed Description

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ statusbar_push_field_msg()

void statusbar_push_field_msg | ( | const char * | msg_format,
|  |  | ... )

Push a formatted message referring to the currently-selected field onto the statusbar.

Parameters

  msg_format | The format string for the message.
  ... | Arguments for the format string.

## ◆ statusbar_push_filter_msg()

void statusbar_push_filter_msg | ( | const char * | msg_format,
|  |  | ... )

Push a formatted message referring to the current filter onto the statusbar.

Parameters

  msg_format | The format string for the message.
  ... | Arguments for the format string.

## ◆ statusbar_push_temporary_msg()

void statusbar_push_temporary_msg | ( | const char * | msg_format,
|  |  | ... )

Push a formatted temporary message onto the statusbar. The message is automatically removed at a later interval.

Parameters

  msg_format | The format string for the message